package com.downloader.core;

import android.os.Process;
import java.util.concurrent.ThreadFactory;

public class PriorityThreadFactory implements ThreadFactory {
    private final int mThreadPriority;

    PriorityThreadFactory(int i) {
        this.mThreadPriority = i;
    }

    public Thread newThread(final Runnable runnable) {
        return new Thread(new Runnable() {
            /* class com.downloader.core.PriorityThreadFactory.AnonymousClass1 */

            public void run() {
                try {
                    Process.setThreadPriority(PriorityThreadFactory.this.mThreadPriority);
                } catch (Throwable unused) {
                }
                runnable.run();
            }
        });
    }
}
