package com.tencent.liteav.basic.d;

import android.opengl.EGL14;
import android.opengl.EGLConfig;
import android.opengl.EGLContext;
import android.opengl.EGLDisplay;
import android.opengl.EGLExt;
import android.opengl.EGLSurface;
import android.util.Log;
import android.view.Surface;

/* compiled from: EGL14Helper */
public class b {
    private static int a = 2;
    private static final String b = b.class.getSimpleName();
    private static int[] k;
    private static int[] l;
    private EGLDisplay c = EGL14.EGL_NO_DISPLAY;
    private EGLContext d = EGL14.EGL_NO_CONTEXT;
    private EGLConfig e = null;
    private int f = 0;
    private int g = 0;
    private boolean h;
    private EGLSurface i;
    private int j = -1;

    public static b a(EGLConfig eGLConfig, EGLContext eGLContext, Surface surface, int i2, int i3) {
        b bVar = new b();
        bVar.f = i2;
        bVar.g = i3;
        if (bVar.a(eGLConfig, eGLContext, surface)) {
            return bVar;
        }
        return null;
    }

    public void a() {
        int eglGetError = EGL14.eglGetError();
        if (eglGetError != 12288) {
            String str = b;
            Log.e(str, "EGL error:" + eglGetError);
            throw new RuntimeException(": EGL error: 0x" + Integer.toHexString(eglGetError));
        }
    }

    public void b() {
        if (this.c != EGL14.EGL_NO_DISPLAY) {
            EGL14.eglMakeCurrent(this.c, EGL14.EGL_NO_SURFACE, EGL14.EGL_NO_SURFACE, EGL14.EGL_NO_CONTEXT);
            EGL14.eglDestroySurface(this.c, this.i);
            EGL14.eglDestroyContext(this.c, this.d);
            this.d = EGL14.EGL_NO_CONTEXT;
            EGL14.eglReleaseThread();
            EGL14.eglTerminate(this.c);
        }
        this.c = EGL14.EGL_NO_DISPLAY;
    }

    public boolean c() {
        return EGL14.eglSwapBuffers(this.c, this.i);
    }

    private boolean a(EGLConfig eGLConfig, EGLContext eGLContext, Surface surface) {
        EGLContext eGLContext2;
        this.c = EGL14.eglGetDisplay(0);
        if (this.c != EGL14.EGL_NO_DISPLAY) {
            int[] iArr = new int[2];
            if (EGL14.eglInitialize(this.c, iArr, 0, iArr, 1)) {
                if (eGLConfig != null) {
                    this.e = eGLConfig;
                } else {
                    EGLConfig[] eGLConfigArr = new EGLConfig[1];
                    if (!EGL14.eglChooseConfig(this.c, surface == null ? l : k, 0, eGLConfigArr, 0, eGLConfigArr.length, new int[1], 0)) {
                        return false;
                    }
                    this.e = eGLConfigArr[0];
                }
                if (eGLContext != null) {
                    this.h = true;
                    eGLContext2 = eGLContext;
                } else {
                    eGLContext2 = EGL14.EGL_NO_CONTEXT;
                }
                this.d = EGL14.eglCreateContext(this.c, this.e, eGLContext2, new int[]{12440, a, 12344}, 0);
                int[] iArr2 = {12344};
                if (this.d == EGL14.EGL_NO_CONTEXT) {
                    a();
                    return false;
                }
                if (surface == null) {
                    this.i = EGL14.eglCreatePbufferSurface(this.c, this.e, new int[]{12375, this.f, 12374, this.g, 12344}, 0);
                } else {
                    this.i = EGL14.eglCreateWindowSurface(this.c, this.e, surface, iArr2, 0);
                }
                a();
                EGLDisplay eGLDisplay = this.c;
                EGLSurface eGLSurface = this.i;
                if (EGL14.eglMakeCurrent(eGLDisplay, eGLSurface, eGLSurface, this.d)) {
                    return true;
                }
                a();
                return false;
            }
            this.c = null;
            throw new RuntimeException("unable to initialize EGL14");
        }
        throw new RuntimeException("unable to get EGL14 display");
    }

    public void a(long j2) {
        EGLExt.eglPresentationTimeANDROID(this.c, this.i, j2);
    }

    static {
        int[] iArr = new int[17];
        iArr[0] = 12324;
        iArr[1] = 8;
        iArr[2] = 12323;
        iArr[3] = 8;
        int i2 = 4;
        iArr[4] = 12322;
        iArr[5] = 8;
        iArr[6] = 12321;
        iArr[7] = 8;
        iArr[8] = 12325;
        iArr[9] = 0;
        iArr[10] = 12326;
        iArr[11] = 0;
        iArr[12] = 12352;
        iArr[13] = a == 2 ? 4 : 68;
        iArr[14] = 12610;
        iArr[15] = 1;
        iArr[16] = 12344;
        k = iArr;
        int[] iArr2 = new int[19];
        iArr2[0] = 12339;
        iArr2[1] = 1;
        iArr2[2] = 12324;
        iArr2[3] = 8;
        iArr2[4] = 12323;
        iArr2[5] = 8;
        iArr2[6] = 12322;
        iArr2[7] = 8;
        iArr2[8] = 12321;
        iArr2[9] = 8;
        iArr2[10] = 12325;
        iArr2[11] = 0;
        iArr2[12] = 12326;
        iArr2[13] = 0;
        iArr2[14] = 12352;
        if (a != 2) {
            i2 = 68;
        }
        iArr2[15] = i2;
        iArr2[16] = 12610;
        iArr2[17] = 1;
        iArr2[18] = 12344;
        l = iArr2;
    }
}
