package com.tencent.liteav.basic.util;

import android.os.Process;
import android.text.TextUtils;
import com.tencent.liteav.basic.log.TXCLog;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.util.Locale;
import java.util.concurrent.TimeUnit;

/* compiled from: CpuUsageMeasurer */
public class b {
    private static final long a = TimeUnit.SECONDS.toMillis(2);
    private final long b = TXCTimeUtil.getClockTickInHz();
    private final int c = Runtime.getRuntime().availableProcessors();
    private RandomAccessFile d;
    private RandomAccessFile e;
    private long f = 0;
    private float g = 0.0f;
    private float h = 0.0f;
    private long i = 0;
    private long j = 0;
    private float k = 0.0f;

    public b() {
        try {
            this.d = new RandomAccessFile(String.format(Locale.ENGLISH, "/proc/%d/stat", Integer.valueOf(Process.myPid())), "r");
        } catch (IOException e2) {
            TXCLog.e("CpuUsageMeasurer", "open /proc/[PID]/stat failed. " + e2.getMessage());
        }
        try {
            this.e = new RandomAccessFile("/proc/stat", "r");
        } catch (IOException unused) {
        }
    }

    public int[] a() {
        int[] iArr;
        synchronized (this) {
            if (TXCTimeUtil.getTimeTick() - this.f >= a) {
                b();
            }
            iArr = new int[]{(int) (this.h * 10.0f), (int) (this.k * 10.0f)};
        }
        return iArr;
    }

    private void b() {
        long j2;
        long j3;
        String[] a2 = a(this.d);
        if (a2 != null && a2.length >= 52) {
            long parseLong = (long) ((((float) (((Long.parseLong(a2[13]) + Long.parseLong(a2[14])) + Long.parseLong(a2[15])) + Long.parseLong(a2[16]))) * 1000.0f) / ((float) this.b));
            String[] a3 = a(this.e);
            if (a3 == null || a3.length < 8) {
                j2 = TXCTimeUtil.getTimeTick() * ((long) this.c);
                j3 = j2;
            } else {
                long parseLong2 = Long.parseLong(a3[1]) + Long.parseLong(a3[2]) + Long.parseLong(a3[3]) + Long.parseLong(a3[4]) + Long.parseLong(a3[5]) + Long.parseLong(a3[6]) + Long.parseLong(a3[7]);
                long parseLong3 = Long.parseLong(a3[4]) + Long.parseLong(a3[5]);
                long j4 = this.b;
                j2 = (long) ((((float) parseLong2) * 1000.0f) / ((float) j4));
                j3 = (long) ((((float) parseLong3) * 1000.0f) / ((float) j4));
            }
            long j5 = j2 - this.i;
            float f2 = (float) parseLong;
            float f3 = (float) j5;
            this.h = ((f2 - this.g) * 100.0f) / f3;
            this.k = (((float) (j5 - (j3 - this.j))) * 100.0f) / f3;
            this.g = f2;
            this.j = j3;
            this.i = j2;
            this.f = TXCTimeUtil.getTimeTick();
        }
    }

    private static String[] a(RandomAccessFile randomAccessFile) {
        String str;
        if (randomAccessFile == null) {
            return null;
        }
        try {
            randomAccessFile.seek(0);
            str = randomAccessFile.readLine();
        } catch (IOException e2) {
            TXCLog.e("CpuUsageMeasurer", "read line failed. " + e2.getMessage());
            str = null;
        }
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        return str.split("\\s+");
    }

    /* access modifiers changed from: protected */
    public void finalize() throws Throwable {
        super.finalize();
        c.a(this.d);
        c.a(this.e);
        TXCLog.i("CpuUsageMeasurer", "measurer is released");
    }
}
