package com.tencent.liteav.beauty.a;

import android.opengl.GLES20;
import android.util.Log;
import com.tencent.liteav.beauty.NativeLoad;

/* compiled from: TXCGPUBeautyFilter */
public class b extends a {
    private static final String r = b.class.getSimpleName();
    private float A = 0.0f;
    private d s;
    private a t;
    private h u = null;
    private int v = -1;
    private int w = -1;
    private float x = 0.0f;
    private float y = 0.0f;
    private float z = 0.0f;

    private static float a(float f, float f2, float f3) {
        return f2 + ((f3 - f2) * f);
    }

    @Override // com.tencent.liteav.basic.d.e
    public int b(int i) {
        if (this.x > 0.0f || this.y > 0.0f || this.z > 0.0f) {
            i = this.t.a(this.x != 0.0f ? this.s.b(i) : i, i, i);
        }
        return this.A > 0.0f ? this.u.b(i) : i;
    }

    @Override // com.tencent.liteav.basic.d.e
    public void a(int i, int i2) {
        if (this.v != i || this.w != i2) {
            String str = r;
            Log.i(str, "onOutputSizeChanged mFrameWidth = " + i + "  mFrameHeight = " + i2);
            this.v = i;
            this.w = i2;
            b(this.v, this.w);
        }
    }

    @Override // com.tencent.liteav.beauty.a.a
    public boolean b(int i, int i2) {
        this.v = i;
        this.w = i2;
        String str = r;
        Log.i(str, "init mFrameWidth = " + i + "  mFrameHeight = " + i2);
        if (this.s == null) {
            this.s = new d();
            this.s.a(true);
            if (!this.s.a()) {
                Log.e(r, "mNewFaceFilter init Failed");
                return false;
            }
        }
        this.s.a(this.v, this.w);
        if (this.t == null) {
            this.t = new a();
            this.t.a(true);
            if (!this.t.a()) {
                Log.e(r, "mBeautyCoreFilter init Failed");
                return false;
            }
        }
        this.t.a(this.v, this.w);
        if (this.u == null) {
            this.u = new h();
            this.u.a(true);
            if (!this.u.a()) {
                Log.e(r, "mSharpenessFilter init Failed");
                return false;
            }
        }
        this.u.a(this.v, this.w);
        return true;
    }

    @Override // com.tencent.liteav.basic.d.e
    public void e() {
        a aVar = this.t;
        if (aVar != null) {
            aVar.d();
            this.t = null;
        }
        d dVar = this.s;
        if (dVar != null) {
            dVar.d();
            this.s = null;
        }
        h hVar = this.u;
        if (hVar != null) {
            hVar.d();
            this.u = null;
        }
    }

    @Override // com.tencent.liteav.beauty.a.a
    public void c(int i) {
        float f = (float) i;
        this.x = f;
        a aVar = this.t;
        if (aVar != null) {
            aVar.a(f);
        }
    }

    @Override // com.tencent.liteav.beauty.a.a
    public void d(int i) {
        float f = (float) i;
        this.y = f;
        a aVar = this.t;
        if (aVar != null) {
            aVar.b(f);
        }
    }

    @Override // com.tencent.liteav.beauty.a.a
    public void e(int i) {
        float f = (float) i;
        this.z = f;
        a aVar = this.t;
        if (aVar != null) {
            aVar.c(f);
        }
    }

    @Override // com.tencent.liteav.beauty.a.a
    public void f(int i) {
        this.A = ((float) i) / 15.0f;
        h hVar = this.u;
        if (hVar != null) {
            hVar.a(this.A);
        }
    }

    /* compiled from: TXCGPUBeautyFilter */
    public static class a extends i {
        private int x = -1;
        private int y = -1;
        private int z = -1;

        public a() {
            super("attribute vec4 position;\nattribute vec4 inputTextureCoordinate;\nattribute vec4 inputTextureCoordinate2;\nattribute vec4 inputTextureCoordinate3;\n \nvarying vec2 textureCoordinate;\nvarying vec2 textureCoordinate2;\nvarying vec2 textureCoordinate3;\n \nvoid main()\n{\n    gl_Position = position;\n    textureCoordinate = inputTextureCoordinate.xy;\n    textureCoordinate2 = inputTextureCoordinate2.xy;\n    textureCoordinate3 = inputTextureCoordinate3.xy;\n}", "varying lowp vec2 textureCoordinate;\n \nuniform sampler2D inputImageTexture;\n \nvoid main()\n{\n     gl_FragColor = texture2D(inputImageTexture, textureCoordinate);\n}");
        }

        @Override // com.tencent.liteav.basic.d.e
        public boolean a() {
            NativeLoad.getInstance();
            this.a = NativeLoad.nativeLoadGLProgram(1);
            if (this.a == 0 || !b()) {
                this.g = false;
            } else {
                this.g = true;
            }
            c();
            return this.g;
        }

        @Override // com.tencent.liteav.basic.d.e, com.tencent.liteav.beauty.a.i
        public void a(int i, int i2) {
            if (this.f != i2 || this.e != i) {
                super.a(i, i2);
                this.x = GLES20.glGetUniformLocation(o(), "smoothDegree");
                this.y = GLES20.glGetUniformLocation(o(), "brightDegree");
                this.z = GLES20.glGetUniformLocation(o(), "ruddyDegree");
            }
        }

        @Override // com.tencent.liteav.basic.d.e, com.tencent.liteav.beauty.a.i
        public boolean b() {
            return super.b();
        }

        public void a(float f) {
            a(this.x, b.b(f));
        }

        public void b(float f) {
            a(this.y, f / 3.0f);
        }

        public void c(float f) {
            a(this.z, (f / 10.0f) / 2.0f);
        }
    }

    /* access modifiers changed from: private */
    public static float b(float f) {
        if (f <= 1.0f) {
            return 0.1f;
        }
        double d = (double) f;
        if (d < 2.5d) {
            f = a((f - 1.0f) / 1.5f, 1.0f, 4.1f);
        } else if (f < 4.0f) {
            f = a((f - 2.5f) / 1.5f, 4.1f, 5.6f);
        } else if (d < 5.5d) {
            f = a((f - 4.0f) / 1.5f, 5.6f, 6.8f);
        } else if (d <= 7.0d) {
            f = a((f - 5.5f) / 1.5f, 6.8f, 7.0f);
        }
        return f / 10.0f;
    }
}
