package com.tencent.liteav.beauty.a;

import android.opengl.GLES20;
import com.tencent.liteav.basic.d.e;
import com.tencent.liteav.basic.log.TXCLog;

/* compiled from: TXCGPUSharpenAlphaFilter */
public class g extends e {
    private static String v = "GPUSharpen";
    private int r;
    private float s;
    private int t;
    private int u;

    public g() {
        this(0.0f);
    }

    public g(float f) {
        super("attribute vec4 position;\nattribute vec4 inputTextureCoordinate;\n\nuniform float imageWidthFactor; \nuniform float imageHeightFactor; \n\nvarying vec2 textureCoordinate;\nvarying vec2 leftTextureCoordinate;\nvarying vec2 rightTextureCoordinate; \nvarying vec2 topTextureCoordinate;\nvarying vec2 bottomTextureCoordinate;\n\n\nvoid main()\n{\n    gl_Position = position;\n    \n    mediump vec2 widthStep = vec2(imageWidthFactor, 0.0);\n    mediump vec2 heightStep = vec2(0.0, imageHeightFactor);\n    \n    textureCoordinate = inputTextureCoordinate.xy;\n    leftTextureCoordinate = inputTextureCoordinate.xy - widthStep;\n    rightTextureCoordinate = inputTextureCoordinate.xy + widthStep;\n    topTextureCoordinate = inputTextureCoordinate.xy + heightStep;     \n    bottomTextureCoordinate = inputTextureCoordinate.xy - heightStep;\n}\n", "precision mediump float;\n\nuniform float sharpness;\nvarying mediump vec2 textureCoordinate;\nvarying mediump vec2 leftTextureCoordinate;\nvarying mediump vec2 rightTextureCoordinate; \nvarying mediump vec2 topTextureCoordinate;\nvarying mediump vec2 bottomTextureCoordinate;\n\nuniform sampler2D inputImageTexture;\nfloat centerMultiplier;\nfloat edgeMultiplier;\n\nvoid main()\n{\n    mediump vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);\n    mediump vec3 leftTextureColor = texture2D(inputImageTexture, leftTextureCoordinate).rgb;\n    mediump vec3 rightTextureColor = texture2D(inputImageTexture, rightTextureCoordinate).rgb;\n    mediump vec3 topTextureColor = texture2D(inputImageTexture, topTextureCoordinate).rgb;\n    mediump vec3 bottomTextureColor = texture2D(inputImageTexture, bottomTextureCoordinate).rgb;\n\n    centerMultiplier = 1.0 + 4.0 * sharpness * (1.0 - textureColor.a);\n    edgeMultiplier = sharpness * (1.0 - textureColor.a);\n    gl_FragColor = vec4((textureColor.rgb * centerMultiplier - (leftTextureColor * edgeMultiplier + rightTextureColor * edgeMultiplier + topTextureColor * edgeMultiplier + bottomTextureColor * edgeMultiplier)), textureColor.a);    \n}\n");
        this.s = f;
    }

    @Override // com.tencent.liteav.basic.d.e
    public boolean b() {
        boolean b = super.b();
        this.r = GLES20.glGetUniformLocation(o(), "sharpness");
        this.t = GLES20.glGetUniformLocation(o(), "imageWidthFactor");
        this.u = GLES20.glGetUniformLocation(o(), "imageHeightFactor");
        a(this.s);
        return b;
    }

    @Override // com.tencent.liteav.basic.d.e
    public void a(int i, int i2) {
        super.a(i, i2);
        a(this.t, 1.0f / ((float) i));
        a(this.u, 1.0f / ((float) i2));
    }

    public void a(float f) {
        this.s = f;
        String str = v;
        TXCLog.i(str, "set Sharpness " + f);
        a(this.r, this.s);
    }
}
