package com.tencent.liteav;

import android.content.Context;
import android.os.Bundle;
import android.view.Surface;
import android.view.TextureView;
import com.tencent.ijk.media.player.IjkBitrateItem;
import com.tencent.ijk.media.player.MediaInfo;
import com.tencent.liteav.basic.c.a;
import com.tencent.liteav.basic.d.j;
import com.tencent.liteav.basic.datareport.TXCDRApi;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.txcvodplayer.TXCVodVideoView;
import com.tencent.liteav.txcvodplayer.TextureRenderView;
import com.tencent.liteav.txcvodplayer.d;
import com.tencent.liteav.txcvodplayer.e;
import com.tencent.rtmp.TXBitrateItem;
import com.tencent.rtmp.TXLiveConstants;
import com.tencent.rtmp.TXVodPlayer;
import com.tencent.rtmp.ui.TXCloudVideoView;
import java.util.ArrayList;
import java.util.Iterator;

/* compiled from: TXCVodPlayer */
public class f extends h {
    protected boolean a;
    private TXCVodVideoView f;
    private d g;
    private e h = null;
    private boolean i;
    private boolean j = true;
    private boolean k = true;
    private float l = 1.0f;
    private Surface m;
    private e n = new e() {
        /* class com.tencent.liteav.f.AnonymousClass1 */

        @Override // com.tencent.liteav.txcvodplayer.e
        public void a(int i, Bundle bundle) {
            a aVar;
            Bundle bundle2 = new Bundle(bundle);
            int i2 = 2014;
            if (i == -2301) {
                i2 = -2301;
            } else if (i == 2011) {
                bundle2.putInt("EVT_PARAM1", f.this.f.getMetaRotationDegree());
                i2 = 2011;
            } else if (i != 2103) {
                int i3 = 0;
                if (i == 2106) {
                    if (!f.this.i) {
                        f.this.g.a(false);
                    }
                    i2 = 2106;
                } else if (i == 2013) {
                    f.this.h.d();
                    i2 = 2013;
                } else if (i != 2014) {
                    switch (i) {
                        case -2305:
                            i2 = -2305;
                            break;
                        case -2304:
                            i2 = -2304;
                            if (!f.this.i) {
                                f.this.g.a(false);
                                break;
                            }
                            break;
                        case -2303:
                            i2 = -2303;
                            break;
                        default:
                            switch (i) {
                                case 2003:
                                    if (!f.this.i) {
                                        int i4 = 1;
                                        f.this.i = true;
                                        f.this.h.e();
                                        Bundle bundle3 = new Bundle();
                                        bundle3.putInt("EVT_ID", 2008);
                                        bundle3.putLong("EVT_TIME", TXCTimeUtil.getTimeTick());
                                        MediaInfo mediaInfo = f.this.f.getMediaInfo();
                                        if (!(mediaInfo == null || mediaInfo.mVideoDecoderImpl == null || !mediaInfo.mVideoDecoderImpl.contains("hevc"))) {
                                            i3 = 1;
                                        }
                                        String str = "启动硬解";
                                        if (f.this.f.getPlayerType() == 0) {
                                            if (i3 == 0) {
                                                if (!f.this.g.a()) {
                                                    str = "启动软解";
                                                }
                                                bundle3.putCharSequence("description", str);
                                            } else {
                                                bundle3.putCharSequence("description", f.this.g.a() ? "启动硬解265" : "启动软解265");
                                            }
                                            if (!f.this.g.a()) {
                                                i4 = 2;
                                            }
                                            bundle3.putInt("EVT_PARAM1", i4);
                                            bundle3.putInt("hevc", i3);
                                        } else {
                                            bundle3.putCharSequence("description", str);
                                            bundle3.putInt("EVT_PARAM1", 2);
                                        }
                                        a(2008, bundle3);
                                        i2 = 2003;
                                        break;
                                    } else {
                                        return;
                                    }
                                case 2004:
                                    i2 = 2004;
                                    f.this.h.d();
                                    break;
                                case 2005:
                                    i2 = 2005;
                                    f.this.h.a(bundle.getInt(TXLiveConstants.EVT_PLAY_DURATION, 0));
                                    break;
                                case 2006:
                                    f.this.h.c();
                                    if (!f.this.a) {
                                        i2 = 2006;
                                        break;
                                    } else {
                                        f.this.f.b();
                                        TXCLog.d(TXVodPlayer.TAG, "loop play");
                                        return;
                                    }
                                case 2007:
                                    i2 = 2007;
                                    f.this.h.i();
                                    break;
                                case 2008:
                                    i2 = 2008;
                                    break;
                                case 2009:
                                    i2 = 2009;
                                    break;
                                default:
                                    switch (i) {
                                        case TXLiteAVCode.EVT_VOD_PLAY_TCP_CONNECT_SUCC:
                                            f.this.h.f();
                                            return;
                                        case TXLiteAVCode.EVT_VOD_PLAY_FIRST_VIDEO_PACKET:
                                            f.this.h.h();
                                            return;
                                        case TXLiteAVCode.EVT_VOD_PLAY_DNS_RESOLVED:
                                            f.this.h.g();
                                            return;
                                        case TXLiteAVCode.EVT_VOD_PLAY_SEEK_COMPLETE:
                                            return;
                                        default:
                                            TXCLog.d(TXVodPlayer.TAG, "miss match event " + i);
                                            return;
                                    }
                            }
                    }
                }
            } else {
                i2 = 2103;
            }
            bundle2.putString(TXLiveConstants.EVT_DESCRIPTION, bundle.getString("description", ""));
            if (f.this.e != null && (aVar = (a) f.this.e.get()) != null) {
                aVar.onNotifyEvent(i2, bundle2);
            }
        }

        @Override // com.tencent.liteav.txcvodplayer.e
        public void a(Bundle bundle) {
            a aVar;
            Bundle bundle2 = new Bundle();
            int[] a2 = com.tencent.liteav.basic.util.d.a();
            bundle2.putCharSequence(TXLiveConstants.NET_STATUS_CPU_USAGE, (Integer.valueOf(a2[0]).intValue() / 10) + "/" + (Integer.valueOf(a2[1]).intValue() / 10) + "%");
            bundle2.putInt(TXLiveConstants.NET_STATUS_VIDEO_FPS, (int) bundle.getFloat("fps"));
            bundle2.putInt(TXLiveConstants.NET_STATUS_VIDEO_DPS, (int) bundle.getFloat("dps"));
            bundle2.putInt(TXLiveConstants.NET_STATUS_NET_SPEED, ((int) bundle.getLong("tcpSpeed")) / 1000);
            bundle2.putInt(TXLiveConstants.NET_STATUS_AUDIO_CACHE, ((int) bundle.getLong("cachedBytes")) / 1000);
            bundle2.putInt(TXLiveConstants.NET_STATUS_VIDEO_WIDTH, f.this.f.getVideoWidth());
            bundle2.putInt(TXLiveConstants.NET_STATUS_VIDEO_HEIGHT, f.this.f.getVideoHeight());
            bundle2.putString(TXLiveConstants.NET_STATUS_SERVER_IP, f.this.f.getServerIp());
            f.this.h.b(f.this.f.getServerIp());
            if (f.this.e != null && (aVar = (a) f.this.e.get()) != null) {
                aVar.onNotifyEvent(15001, bundle2);
            }
        }
    };

    @Override // com.tencent.liteav.h
    public void a(j jVar) {
    }

    @Override // com.tencent.liteav.h
    public void c(boolean z) {
    }

    @Override // com.tencent.liteav.h
    public int d(int i2) {
        return 0;
    }

    @Override // com.tencent.liteav.h
    public void d(boolean z) {
    }

    @Override // com.tencent.liteav.h
    public int e() {
        return 0;
    }

    @Override // com.tencent.liteav.h
    public int h() {
        return 0;
    }

    public f(Context context) {
        super(context);
        this.f = new TXCVodVideoView(context);
        this.f.setListener(this.n);
    }

    @Override // com.tencent.liteav.h
    public void a(c cVar) {
        super.a(cVar);
        if (this.g == null) {
            this.g = new d();
        }
        this.g.a((float) this.b.e);
        this.g.b((float) this.b.f);
        this.g.c((float) this.b.q);
        this.g.a(this.b.h);
        this.g.a(this.b.m);
        this.g.a(this.b.n);
        this.g.b(this.b.o);
        this.g.a(this.b.p);
        this.g.b(this.b.r);
        this.g.c(this.b.t);
        this.g.b(this.b.u);
        this.g.c(this.b.v);
        this.g.d(this.b.w);
        this.f.setConfig(this.g);
        this.k = cVar.s;
    }

    @Override // com.tencent.liteav.h
    public int a(String str, int i2) {
        if (this.d != null) {
            this.d.setVisibility(0);
            if (this.d.getVideoView() == null) {
                TextureRenderView textureRenderView = new TextureRenderView(this.d.getContext());
                this.d.addVideoView(textureRenderView);
                this.f.setTextureRenderView(textureRenderView);
            }
            this.d.getVideoView().setVisibility(0);
        } else {
            Surface surface = this.m;
            if (surface != null) {
                this.f.setRenderSurface(surface);
            }
        }
        this.h = new e(this.c);
        this.h.a(str);
        this.h.b();
        this.i = false;
        this.f.setPlayerType(this.g.b());
        this.f.setVideoPath(str);
        this.f.setAutoPlay(this.j);
        this.f.setRate(this.l);
        this.f.setAutoRotate(this.k);
        if (this.g != null) {
            this.f.b();
            if (this.g.b() == 1) {
                this.h.b(3);
            } else {
                this.h.b(1);
            }
        } else {
            this.f.b();
            this.h.b(1);
        }
        TXCLog.d(TXVodPlayer.TAG, "startPlay " + str);
        TXCDRApi.txReportDAU(this.c, com.tencent.liteav.basic.datareport.a.br);
        try {
            if (Class.forName("com.tencent.liteav.demo.play.SuperPlayerView") != null) {
                TXCDRApi.txReportDAU(this.c, com.tencent.liteav.basic.datareport.a.bC);
            }
        } catch (Exception unused) {
        }
        return 0;
    }

    @Override // com.tencent.liteav.h
    public int a(boolean z) {
        this.f.c();
        if (!(this.d == null || this.d.getVideoView() == null || !z)) {
            this.d.getVideoView().setVisibility(8);
        }
        e eVar = this.h;
        if (eVar == null) {
            return 0;
        }
        eVar.c();
        return 0;
    }

    @Override // com.tencent.liteav.h
    public void a(Surface surface) {
        this.m = surface;
        TXCVodVideoView tXCVodVideoView = this.f;
        if (tXCVodVideoView != null) {
            tXCVodVideoView.setRenderSurface(this.m);
        }
    }

    @Override // com.tencent.liteav.h
    public void a() {
        this.f.d();
    }

    @Override // com.tencent.liteav.h
    public void b() {
        this.f.b();
    }

    @Override // com.tencent.liteav.h
    public void e(int i2) {
        e eVar;
        this.f.a(i2 * 1000);
        if (this.i && (eVar = this.h) != null) {
            eVar.j();
        }
    }

    public void a(float f2) {
        e eVar;
        this.f.a((int) (f2 * 1000.0f));
        if (this.i && (eVar = this.h) != null) {
            eVar.j();
        }
    }

    public float i() {
        TXCVodVideoView tXCVodVideoView = this.f;
        if (tXCVodVideoView != null) {
            return ((float) tXCVodVideoView.getCurrentPosition()) / 1000.0f;
        }
        return 0.0f;
    }

    public float j() {
        TXCVodVideoView tXCVodVideoView = this.f;
        if (tXCVodVideoView != null) {
            return ((float) tXCVodVideoView.getBufferDuration()) / 1000.0f;
        }
        return 0.0f;
    }

    public float k() {
        TXCVodVideoView tXCVodVideoView = this.f;
        if (tXCVodVideoView != null) {
            return ((float) tXCVodVideoView.getDuration()) / 1000.0f;
        }
        return 0.0f;
    }

    public float l() {
        TXCVodVideoView tXCVodVideoView = this.f;
        if (tXCVodVideoView != null) {
            return ((float) tXCVodVideoView.getBufferDuration()) / 1000.0f;
        }
        return 0.0f;
    }

    public int m() {
        TXCVodVideoView tXCVodVideoView = this.f;
        if (tXCVodVideoView != null) {
            return tXCVodVideoView.getVideoWidth();
        }
        return 0;
    }

    public int n() {
        TXCVodVideoView tXCVodVideoView = this.f;
        if (tXCVodVideoView != null) {
            return tXCVodVideoView.getVideoHeight();
        }
        return 0;
    }

    @Override // com.tencent.liteav.h
    public void b(boolean z) {
        this.f.setMute(z);
    }

    @Override // com.tencent.liteav.h
    public void c(int i2) {
        this.f.setVolume(i2);
    }

    @Override // com.tencent.liteav.h
    public void a(int i2) {
        if (i2 == 1) {
            this.f.setRenderMode(0);
        } else {
            this.f.setRenderMode(1);
        }
    }

    @Override // com.tencent.liteav.h
    public void b(int i2) {
        this.f.setVideoRotationDegree(360 - i2);
    }

    @Override // com.tencent.liteav.h
    public void a(TXCloudVideoView tXCloudVideoView) {
        if (tXCloudVideoView != this.d) {
            if (this.d != null) {
                this.d.removeVideoView();
            }
            if (tXCloudVideoView != 0) {
                tXCloudVideoView.removeVideoView();
            }
        }
        if (tXCloudVideoView != null) {
            tXCloudVideoView.setVisibility(0);
            if (tXCloudVideoView.getVideoView() == null) {
                TextureRenderView textureRenderView = new TextureRenderView(tXCloudVideoView.getContext());
                tXCloudVideoView.addVideoView(textureRenderView);
                this.f.setTextureRenderView(textureRenderView);
            }
            tXCloudVideoView.getVideoView().setVisibility(0);
        }
        super.a(tXCloudVideoView);
    }

    public void a(TextureRenderView textureRenderView) {
        TXCVodVideoView tXCVodVideoView = this.f;
        if (tXCVodVideoView != null) {
            tXCVodVideoView.setRenderView(textureRenderView);
        }
    }

    @Override // com.tencent.liteav.h
    public TextureView d() {
        if (this.d != null) {
            return this.d.getVideoView();
        }
        return null;
    }

    @Override // com.tencent.liteav.h
    public boolean c() {
        return this.f.e();
    }

    @Override // com.tencent.liteav.h
    public void e(boolean z) {
        this.j = z;
        TXCVodVideoView tXCVodVideoView = this.f;
        if (tXCVodVideoView != null) {
            tXCVodVideoView.setAutoPlay(z);
        }
    }

    @Override // com.tencent.liteav.h
    public void b(float f2) {
        e eVar;
        this.l = f2;
        TXCVodVideoView tXCVodVideoView = this.f;
        if (tXCVodVideoView != null) {
            tXCVodVideoView.setRate(f2);
        }
        if (this.i && (eVar = this.h) != null) {
            eVar.l();
        }
    }

    public void c(float f2) {
        TXCVodVideoView tXCVodVideoView = this.f;
        if (tXCVodVideoView != null) {
            tXCVodVideoView.setStartTime(f2);
        }
    }

    public int o() {
        TXCVodVideoView tXCVodVideoView = this.f;
        if (tXCVodVideoView != null) {
            return tXCVodVideoView.getBitrateIndex();
        }
        return 0;
    }

    public void f(int i2) {
        e eVar;
        TXCVodVideoView tXCVodVideoView = this.f;
        if (tXCVodVideoView != null) {
            tXCVodVideoView.setBitrateIndex(i2);
        }
        if (this.i && (eVar = this.h) != null) {
            eVar.k();
        }
    }

    public ArrayList<TXBitrateItem> p() {
        ArrayList<IjkBitrateItem> supportedBitrates;
        ArrayList<TXBitrateItem> arrayList = new ArrayList<>();
        TXCVodVideoView tXCVodVideoView = this.f;
        if (!(tXCVodVideoView == null || (supportedBitrates = tXCVodVideoView.getSupportedBitrates()) == null)) {
            Iterator<IjkBitrateItem> it = supportedBitrates.iterator();
            while (it.hasNext()) {
                IjkBitrateItem next = it.next();
                TXBitrateItem tXBitrateItem = new TXBitrateItem();
                tXBitrateItem.index = next.index;
                tXBitrateItem.width = next.width;
                tXBitrateItem.height = next.height;
                tXBitrateItem.bitrate = next.bitrate;
                arrayList.add(tXBitrateItem);
            }
        }
        return arrayList;
    }

    public void f(boolean z) {
        this.a = z;
    }

    public void g(boolean z) {
        TextureView d = d();
        if (d != null) {
            float f2 = -1.0f;
            if (!this.b.s || !(this.f.getMetaRotationDegree() == 90 || this.f.getMetaRotationDegree() == 270)) {
                if (!z) {
                    f2 = 1.0f;
                }
                d.setScaleX(f2);
            } else {
                if (!z) {
                    f2 = 1.0f;
                }
                d.setScaleY(f2);
            }
        }
        e eVar = this.h;
        if (eVar != null) {
            eVar.a(z);
        }
    }
}
