package com.dyb.newgprto;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.KeyEvent;
import android.widget.Toast;
import com.ccc.ossweb.H5Container;

public class SplashActivity extends AppCompatActivity {
    private long exitTime;
    private H5Container h5Container;

    /* access modifiers changed from: protected */
    @Override // android.support.v7.app.AppCompatActivity, android.support.v4.app.SupportActivity, android.support.v4.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        setTheme(R.style.SplashScreenTheme);
        super.onCreate(bundle);
        setContentView(R.layout.activity_splash_screen);
        getWindow().setFlags(128, 128);
        startActivity(new Intent(this, MainActivity.class));
        finish();
    }

    @Override // android.support.v7.app.AppCompatActivity
    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i != 4) {
            return super.onKeyDown(i, keyEvent);
        }
        if (System.currentTimeMillis() - this.exitTime > 1000) {
            Toast.makeText(this, (int) R.string.click_exit, 0).show();
            this.exitTime = System.currentTimeMillis();
            return true;
        }
        finish();
        return true;
    }
}
