package com.tencent.liteav.audio.impl;

import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.telephony.PhoneStateListener;
import android.telephony.TelephonyManager;
import com.tencent.liteav.basic.log.TXCLog;
import java.lang.ref.WeakReference;
import java.util.Iterator;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/* compiled from: TXCTelephonyMgr */
public class b {
    private static final b a = new b();
    private ConcurrentHashMap<Integer, WeakReference<c>> b = new ConcurrentHashMap<>();
    private PhoneStateListener c = null;
    private Context d;

    public static b a() {
        return a;
    }

    private b() {
    }

    public synchronized void a(c cVar) {
        if (cVar != null) {
            this.b.put(Integer.valueOf(cVar.hashCode()), new WeakReference<>(cVar));
        }
    }

    public synchronized void b(c cVar) {
        if (cVar != null) {
            if (this.b.containsKey(Integer.valueOf(cVar.hashCode()))) {
                this.b.remove(Integer.valueOf(cVar.hashCode()));
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized void a(int i) {
        Iterator<Map.Entry<Integer, WeakReference<c>>> it = this.b.entrySet().iterator();
        while (it.hasNext()) {
            c cVar = it.next().getValue().get();
            if (cVar != null) {
                cVar.a(i);
            } else {
                it.remove();
            }
        }
    }

    public void a(Context context) {
        if (this.c == null) {
            this.d = context.getApplicationContext();
            new Handler(Looper.getMainLooper()).post(new Runnable() {
                /* class com.tencent.liteav.audio.impl.b.AnonymousClass1 */

                public void run() {
                    if (b.this.c == null) {
                        b.this.c = new PhoneStateListener() {
                            /* class com.tencent.liteav.audio.impl.b.AnonymousClass1.AnonymousClass1 */

                            public void onCallStateChanged(int i, String str) {
                                super.onCallStateChanged(i, str);
                                TXCLog.i("AudioCenter:TXCTelephonyMgr", "onCallStateChanged:" + i);
                                b.this.a((b) i);
                            }
                        };
                        ((TelephonyManager) b.this.d.getSystemService("phone")).listen(b.this.c, 32);
                    }
                }
            });
        }
    }

    /* access modifiers changed from: protected */
    public void finalize() throws Throwable {
        super.finalize();
        if (this.c != null && this.d != null) {
            new Handler(Looper.getMainLooper()).post(new Runnable() {
                /* class com.tencent.liteav.audio.impl.b.AnonymousClass2 */

                public void run() {
                    if (!(b.this.c == null || b.this.d == null)) {
                        ((TelephonyManager) b.this.d.getApplicationContext().getSystemService("phone")).listen(b.this.c, 0);
                    }
                    b.this.c = null;
                }
            });
        }
    }
}
