package com.tencent.liteav.basic.d;

import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.opengl.GLES20;
import android.os.HandlerThread;
import android.view.Surface;
import com.tencent.liteav.basic.d.d;
import com.tencent.liteav.basic.log.TXCLog;
import java.nio.ByteBuffer;
import javax.microedition.khronos.egl.EGLContext;

/* compiled from: TXCGLSurfaceRenderThread */
public class c implements d.a {
    private volatile HandlerThread a = null;
    private volatile d b = null;
    private e c = null;
    private int d = 0;
    private boolean e = false;
    private float f = 1.0f;
    private float g = 1.0f;
    private int h = 0;
    private int i = 0;
    private int j = 0;
    private int k = 0;
    private boolean l = false;
    private j m = null;
    private boolean n = false;

    @Override // com.tencent.liteav.basic.d.d.a
    public void d() {
    }

    public void a(EGLContext eGLContext, Surface surface) {
        TXCLog.i("TXGLSurfaceRenderThread", "surface-render: surface render start " + surface + ", " + this);
        b(eGLContext, surface);
    }

    public void a() {
        TXCLog.i("TXGLSurfaceRenderThread", "surface-render: surface render stop " + this);
        f();
    }

    public Surface b() {
        Surface a2;
        synchronized (this) {
            a2 = this.b != null ? this.b.a() : null;
        }
        return a2;
    }

    public void a(Runnable runnable) {
        synchronized (this) {
            if (this.b != null) {
                this.b.post(runnable);
            }
        }
    }

    public void a(final int i2, final boolean z, final int i3, final int i4, final int i5, final int i6, final int i7, final boolean z2, final boolean z3) {
        GLES20.glFinish();
        synchronized (this) {
            if (this.b != null) {
                this.b.post(new Runnable() {
                    /* class com.tencent.liteav.basic.d.c.AnonymousClass1 */

                    public void run() {
                        try {
                            c.this.b(i2, z, i3, i4, i5, i6, i7, z2, z3);
                        } catch (Exception unused) {
                            TXCLog.e("TXGLSurfaceRenderThread", "surface-render: render texture error occurred!");
                        }
                    }
                });
            }
        }
    }

    public void a(j jVar) {
        this.m = jVar;
        this.l = true;
    }

    @Override // com.tencent.liteav.basic.d.d.a
    public void c() {
        this.c = new e();
        if (this.c.a()) {
            this.c.a(h.e, h.a(g.NORMAL, false, false));
        }
    }

    @Override // com.tencent.liteav.basic.d.d.a
    public void e() {
        e eVar = this.c;
        if (eVar != null) {
            eVar.d();
            this.c = null;
        }
    }

    private void b(EGLContext eGLContext, Surface surface) {
        f();
        synchronized (this) {
            this.a = new HandlerThread("TXGLSurfaceRenderThread");
            this.a.start();
            this.b = new d(this.a.getLooper());
            this.b.a(this);
            this.b.g = eGLContext;
            this.b.c = surface;
            TXCLog.w("TXGLSurfaceRenderThread", "surface-render: create gl thread " + this.a.getName());
        }
        a(100);
    }

    private void f() {
        synchronized (this) {
            if (this.b != null) {
                d.a(this.b, this.a);
                TXCLog.w("TXGLSurfaceRenderThread", "surface-render: destroy gl thread");
            }
            this.b = null;
            this.a = null;
        }
    }

    private void a(int i2) {
        synchronized (this) {
            if (this.b != null) {
                this.b.sendEmptyMessage(i2);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(int i2, boolean z, int i3, int i4, int i5, int i6, int i7, boolean z2, boolean z3) {
        int i8;
        int i9;
        int i10;
        if (i6 != 0 && i7 != 0 && this.c != null) {
            if (this.n) {
                this.n = false;
                return;
            }
            if (z2) {
                GLES20.glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
                GLES20.glClear(16640);
                GLES20.glBindFramebuffer(36160, 0);
                if (this.b != null) {
                    this.b.b();
                }
                this.n = true;
            }
            int i11 = i4 != 0 ? i4 : i6;
            int i12 = i5 != 0 ? i5 : i7;
            int i13 = this.h;
            if (i13 != 0 && i13 == 1) {
                int i14 = (720 - this.d) % 360;
                boolean z4 = i14 == 90 || i14 == 270;
                int[] a2 = a(i11, i12, z4 ? i7 : i6, z4 ? i6 : i7);
                int i15 = a2[0];
                int i16 = a2[1];
                i8 = a2[2];
                i9 = a2[3];
                i11 = i15;
                i12 = i16;
            } else {
                i9 = 0;
                i8 = 0;
            }
            this.j = i11;
            this.k = i12;
            GLES20.glViewport(i8, i9, i11, i12);
            int i17 = this.i;
            boolean z5 = (i17 != 1 ? i17 != 2 || !z3 : z3) ? z : !z;
            float f2 = i12 != 0 ? ((float) i11) / ((float) i12) : 1.0f;
            float f3 = i7 != 0 ? ((float) i6) / ((float) i7) : 1.0f;
            if (this.e == z5 && this.d == i3 && this.f == f2 && this.g == f3) {
                i10 = i9;
            } else {
                this.e = z5;
                this.d = i3;
                this.f = f2;
                this.g = f3;
                int i18 = (720 - this.d) % 360;
                boolean z6 = i18 == 90 || i18 == 270;
                int i19 = z6 ? i12 : i11;
                if (z6) {
                    i12 = i11;
                }
                i10 = i9;
                this.c.a(i6, i7, i18, h.a(g.NORMAL, false, true), ((float) i19) / ((float) i12), z6 ? false : this.e, z6 ? this.e : false);
                if (z6) {
                    this.c.g();
                } else {
                    this.c.h();
                }
            }
            GLES20.glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
            GLES20.glClear(16640);
            GLES20.glBindFramebuffer(36160, 0);
            this.c.a(i2);
            a(i8, i10);
            if (this.b != null) {
                this.b.b();
            }
        }
    }

    private int[] a(int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int[] iArr = new int[4];
        float f2 = (float) i3;
        float f3 = (float) i2;
        float f4 = ((float) i5) / ((float) i4);
        if (f2 / f3 > f4) {
            int i8 = (int) (f3 * f4);
            i7 = (i3 - i8) / 2;
            i3 = i8;
            i6 = 0;
        } else {
            int i9 = (int) (f2 / f4);
            i7 = 0;
            i6 = (i2 - i9) / 2;
            i2 = i9;
        }
        iArr[0] = i2;
        iArr[1] = i3;
        iArr[2] = i6;
        iArr[3] = i7;
        return iArr;
    }

    private void a(int i2, int i3) {
        int i4;
        if (this.l) {
            int i5 = this.j;
            if (!(i5 == 0 || (i4 = this.k) == 0)) {
                boolean z = i5 <= i4;
                final int i6 = this.k;
                int i7 = this.j;
                if (i6 < i7) {
                    i6 = i7;
                }
                final int i8 = this.k;
                int i9 = this.j;
                if (i8 >= i9) {
                    i8 = i9;
                }
                if (z) {
                    i8 = i6;
                    i6 = i8;
                }
                final ByteBuffer allocate = ByteBuffer.allocate(i6 * i8 * 4);
                final Bitmap createBitmap = Bitmap.createBitmap(i6, i8, Bitmap.Config.ARGB_8888);
                allocate.position(0);
                GLES20.glReadPixels(i2, i3, i6, i8, 6408, 5121, allocate);
                final j jVar = this.m;
                if (jVar != null) {
                    new Thread(new Runnable() {
                        /* class com.tencent.liteav.basic.d.c.AnonymousClass2 */

                        public void run() {
                            allocate.position(0);
                            createBitmap.copyPixelsFromBuffer(allocate);
                            Matrix matrix = new Matrix();
                            matrix.setScale(1.0f, -1.0f);
                            jVar.a(Bitmap.createBitmap(createBitmap, 0, 0, i6, i8, matrix, false));
                            createBitmap.recycle();
                        }
                    }).start();
                }
            }
            this.m = null;
            this.l = false;
        }
    }
}
