package com.tencent.liteav;

import android.os.AsyncTask;
import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.util.TXCCommonUtil;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.text.SimpleDateFormat;
import java.util.Date;

/* compiled from: TXCTimeShiftUtil */
public class d {
    private String a = "";
    private String b = "";
    private int c = 0;
    private String d = "";
    private String e = "";
    private long f = 0;

    /* compiled from: TXCTimeShiftUtil */
    public interface a {
        void a(long j);
    }

    public long a() {
        return System.currentTimeMillis() - this.f;
    }

    public String a(long j) {
        String format = new SimpleDateFormat("yyyyMMddHHmmss").format(new Date(this.f + (j * 1000)));
        int i = this.c;
        if (i < 0) {
            return String.format("http://%s/timeshift/%s/%s/timeshift.m3u8?delay=%d", this.a, Integer.valueOf(this.c), this.b, Long.valueOf(((System.currentTimeMillis() - this.f) - j) / 1000));
        }
        return String.format("http://%s/%s/%s/timeshift.m3u8?starttime=%s&appid=%s&txKbps=0", this.a, Integer.valueOf(i), this.b, format, this.d);
    }

    public int a(final String str, final String str2, final int i, final a aVar) {
        if (str == null || str.isEmpty()) {
            return -1;
        }
        this.d = TXCCommonUtil.getAppID();
        if (TextUtils.isEmpty(this.d)) {
            return -2;
        }
        AsyncTask.execute(new Runnable() {
            /* class com.tencent.liteav.d.AnonymousClass1 */

            public void run() {
                String str;
                d.this.f = System.currentTimeMillis();
                String str2 = "";
                d.this.b = str2;
                d.this.c = i;
                d.this.a = str2;
                d.this.b = TXCCommonUtil.getStreamIDByStreamUrl(str);
                d.this.e = TXCCommonUtil.getAppNameByStreamUrl(str);
                if (d.this.e == null) {
                    d.this.e = "live";
                }
                if (d.this.c < 0) {
                    str = String.format("http://%s/timeshift/%s/%s/timeshift.m3u8?delay=0", d.this.a, d.this.e, d.this.b);
                } else {
                    str = String.format("http://%s/%s/%s/timeshift.m3u8?delay=0&appid=%s&txKbps=0", d.this.a, Integer.valueOf(d.this.c), d.this.b, d.this.d);
                }
                try {
                    HttpURLConnection httpURLConnection = (HttpURLConnection) new URL(str).openConnection();
                    httpURLConnection.setDoOutput(true);
                    httpURLConnection.setDoInput(true);
                    httpURLConnection.setUseCaches(false);
                    httpURLConnection.setConnectTimeout(5000);
                    httpURLConnection.setReadTimeout(5000);
                    httpURLConnection.setRequestMethod("GET");
                    httpURLConnection.setRequestProperty("Charsert", "UTF-8");
                    httpURLConnection.setRequestProperty("Content-Type", "text/plain;");
                    BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(httpURLConnection.getInputStream()));
                    while (true) {
                        String readLine = bufferedReader.readLine();
                        if (readLine == null) {
                            break;
                        }
                        str2 = str2 + readLine;
                    }
                    TXCLog.i("TXCTimeShiftUtil", "prepareSeekTime: receive response, strResponse = " + str2);
                    String a2 = d.this.a((d) str2);
                    if (a2 != null) {
                        d.this.f = Long.parseLong(a2) * 1000;
                    }
                } catch (Exception e2) {
                    d.this.f = System.currentTimeMillis();
                    TXCLog.e("TXCTimeShiftUtil", "prepareSeekTime error " + e2.toString());
                }
                long currentTimeMillis = System.currentTimeMillis();
                TXCLog.i("TXCTimeShiftUtil", "live start time:" + d.this.f + ",currentTime:" + currentTimeMillis + ",diff:" + (currentTimeMillis - d.this.f));
                final long j = currentTimeMillis - d.this.f;
                if (aVar != null) {
                    new Handler(Looper.getMainLooper()).post(new Runnable() {
                        /* class com.tencent.liteav.d.AnonymousClass1.AnonymousClass1 */

                        public void run() {
                            aVar.a(j);
                        }
                    });
                }
            }
        });
        return 0;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String a(String str) {
        int indexOf;
        String substring;
        int indexOf2;
        if (!str.contains("#EXT-TX-TS-START-TIME") || (indexOf = str.indexOf("#EXT-TX-TS-START-TIME:") + 22) <= 0 || (indexOf2 = (substring = str.substring(indexOf)).indexOf("#")) <= 0) {
            return null;
        }
        return substring.substring(0, indexOf2).replaceAll("\r\n", "");
    }
}
